﻿.bg-dark {
    background-color: #343a40 !important
}

a.bg-dark:focus, a.bg-dark:hover, button.bg-dark:focus, button.bg-dark:hover {
    background-color: #1d2124 !important
}
.collapse {
    display: none
}

    .collapse.show {
        display: block
    }

tr.collapse.show {
    display: table-row
}

tbody.collapse.show {
    display: table-row-group
}

.collapse.in {
    display: block;
}
.toggle-hamburger {
    text-align: left;
    margin-bottom: 10px;
    z-index: 2000;
}
.navbar-toggler {
    padding: .25rem .75rem;
    font-size: 1.25rem;
    line-height: 1;
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: .25rem;
    margin-left: 96px;
}

/*.navbar-toggler img {
    height: 22px;
    margin-left: 110px;
}*/


    .navbar-toggler:focus, .navbar-toggler:hover {
        text-decoration: none
    }

    .navbar-toggler:not(:disabled):not(.disabled) {
        cursor: pointer
    }

.navbar-toggler-icon {
    display: inline-block;
    width: 1.5em;
    height: 1.5em;
    vertical-align: middle;
    content: "";
    background: no-repeat center center;
    background-size: 100% 100%;
}

.collapsible-navbar {
    display: flex;
    
    width: 100%;
/*    border-radius: 0px !important;
    margin-bottom: 0px !important;*/
}

.navbar > .container, .navbar > .container-fluid {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important
}
.flex-row {
    -webkit-box-orient: horizontal !important;
    -webkit-box-direction: normal !important;
    -ms-flex-direction: row !important;
    flex-direction: row !important
}


.navbar {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 0 !important;
}


.row {
    height: 35px;
    width:100%;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-gap: 15px;
}


.col-1 {
    grid-column-end: span 1;
}

.col-2 {
    grid-column-end: span 2;
}

.col-3 {
    grid-column-end: span 3;
}

.col-4 {
    grid-column-end: span 4;
}

.col-5 {
    grid-column-end: span 5;
}
.col-6 {
    grid-column-end: span 6;
}

.col-7 {
    grid-column-end: span 7;
}

.col-8 {
    grid-column-end: span 8;
}

.col-9 {
    grid-column-end: span 9;
}

.col-10 {
    grid-column-end: span 10;
}


.col-11 {
    grid-column-end: span 11;
}


.col-12 {
    grid-column-end: span 12;
}


.BigNavBar{
    width:100%;
    display:flex;
    margin-top: 10px;
    justify-content: space-between;
    height: 45px;
}

.nav-bar-burger-and-toggles {
    display: flex;
    justify-content: space-between;
    margin-left: 350px;
}

.BigNavBarToggleSpacer { 
    width: 0px;
}

.BigNavbarMenuContainer {
    width: 350px;
    display: flex;
    align-items: center;
}

.BigNavbarTogglesContainer{
    width:650px;
    display:flex;
    justify-content: space-between;
    padding-left: 20px;
}
.LeftToggles {
    width: 290px;
    display: flex;
    justify-content: space-between;
    margin-right: 10px;
}

.admin-switches {
    width: 290px;
    display: flex;
    justify-content: space-between;
}

.toggle {
    --width: 135px;
    --height: calc(var(--width) / 3.5);
    position: relative;
    display: inline-block;
    width: var(--width);
    height: var(--height);
    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    border-radius: 50px;
    margin: 0;
}

    .toggle input {
        display: none;
    }

    .toggle .labels {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        font-size: 16px;
        transition: all 0.2s ease-in-out;
        border-radius: 50px;
        overflow: hidden;
    }

        .toggle .labels::after {
            border-left: 20px solid #8fc4e2;
            content: attr(data-off);
            position: absolute;
            display: flex;
            justify-content: center;
            align-items: center;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            color: #0079bc;
            background-color: #fff;
            transition: all 0.2s ease-in-out;
        }

        .toggle .labels::before {
            border-right:20px solid #fff;
            content: attr(data-on);
            position: absolute;
            display: flex;
            justify-content: center;
            align-items: center;
            top: 0;
            left: calc(var(--width) * -1);
            height: 100%;
            width: 100%;
            color: white;
            background-color: #8fc4e2;
            text-align: center;
            transition: all 0.2s ease-in-out;
        }

    .toggle input:checked ~ .labels::after {
        transform: translateX(var(--width));
    }

    .toggle input:checked ~ .labels::before {
        transform: translateX(var(--width));
    }

.switchSubject {
    align-content: center;
}

.switchYG {
    display: none; 
    align-content: center; 
}

.logout-form {
    float: right;
    display: block;
    font-size: 16px;
}

.logout-container {
    color: white;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.sign-out {
    cursor: pointer;
    color: #a5a5a5;
}

/**/
@media screen and (max-width:1280px) {
    
    .BigNavbarMenuContainer {
        width: 155px;
    }

    .LeftToggles {
        width: 250px;
    }

    .admin-switches {
        width: 250px;
    }

    .BigNavbarTogglesContainer {
        width: 540px;
        margin-right: 35px;
    }

    .toggle {
        width: 120px;
        height: 32px;
    }

    
}
    
    
    
    